### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-search-form/ecl-search-form.component.ts`

### Implements

`OnInit` `ControlValueAccessor`

### Metadata

providers | `ECL_SEARCH_FORM_VALUE_ACCESSOR`
selector | `ecl-search-form`
templateUrl | `ecl-search-form.component.html`

### Index

###### Properties
Public fg
###### Methods
onSearchClick registerOnChange registerOnTouched writeValue
###### Inputs
formControlName searchButtonIcon searchButtonLabel searchInputText styleClass
###### Outputs
search
###### HostBindings
attr.role class
###### HostListeners
keydown.enter

### Constructor

`constructor(fb: FormBuilder)`
Parameters :
Name | Type | Optional
fb | `FormBuilder` | No

### Inputs

formControlName
Type : `string`

searchButtonIcon
Type : `string`
Default value : `'general--search'`

searchButtonLabel
Type : `string`

searchInputText
Type : `string`

styleClass
Type : `string`

### Outputs

search
Type : `EventEmitter`

### HostBindings

attr.role
Type : `string`
Default value : `'search'`

class
Type : `any`

### HostListeners

keydown.enter
Arguments : `'$event'`
`keydown.enter(evt: Event)`

### Methods

onSearchClick
`onSearchClick(evt: Event)`
Parameters :
Name | Type | Optional
evt | `Event` | No
Returns : `void`

registerOnChange
`registerOnChange(fn: any)`
Parameters :
Name | Type | Optional
fn | `any` | No
Returns : `void`

registerOnTouched
`registerOnTouched(fn: any)`
Parameters :
Name | Type | Optional
fn | `any` | No
Returns : `void`

writeValue
`writeValue(value: any)`
Parameters :
Name | Type | Optional
value | `any` | No
Returns : `void`

### Properties

Public fg
Type : `FormGroup`

# result-matching ""

# No results matching ""